import { setRequest } from "@/utils/httpRequest";

/**
 * 2.1区域--平台管理列表
 */
export const region_list_pt = (data) => setRequest("region/list_pt", data);
/**
 * 2.1区域--区域管理列表
 */
export const region_list_qy = (data) => setRequest("region/list_qy", data);
/**
 * 2.1.2区域--选择列表
 */
export const region_list_sel_pt = (data) =>
  setRequest("region/list_sel_pt", data);
/**
 * 2.1.1.2区域--区域选择列表
 */
export const region_list_sel_qy = (data) =>
  setRequest("region/list_sel_qy", data);
/**
 * 2.1.1.2区域--区域学校选择列表
 */
export const region_list_rs = (data) => setRequest("region/list_rs", data);
/**
 * 2.1.6 区域--树形
 */
export const region_list_sel_tree = (data) =>
  setRequest("region/list_sel_tree", data);
/**
 * 2.2区域--添加
 */
export const region_add = (data) => setRequest("region/add", data);
/**
 * 2.3区域--更新
 */
export const region_edit = (data) => setRequest("region/edit", data);
/**
 * 2.1.3.2区域--设置
 */
export const region_set = (data) => setRequest("region/set", data);
/**
 * 2.4区域--删除
 */
export const region_delete = (data) => setRequest("region/delete", data);
/**
 * 2.5区域--详情
 */
export const region_detail = (data) => setRequest("region/detail", data);
/**
 * 2.5.2区域--管理员列表
 */
export const region_list_admin = (data) =>
  setRequest("region/list_admin", data);

/**
 * 2.2.1搜索--搜索所有用户
 */
export const search_list_user = (data) => setRequest("search/list_user", data);
/**
 * 2.2.2搜索--搜索设备用户
 */
export const search_list_duser = (data) =>
  setRequest("search/list_duser", data);
/**
 * 2.2.3搜索--搜索设备
 */
export const search_list_device = (data) =>
  setRequest("search/list_device", data);
/**
 * 2.2.4搜索--搜索所有应用
 */
export const search_list_app = (data) => setRequest("search/list_app", data);
/**
 * 2.2.5搜索--搜索所有白名单
 */
export const search_list_white = (data) =>
  setRequest("search/list_white", data);
/**
 * 2.2.6搜索--搜索设备型号
 */
export const search_list_dmodel = (data) =>
  setRequest("search/list_dmodel", data);
/**
 * 2.2.7搜索--搜索客户端版本
 */
export const search_list_client = (data) =>
  setRequest("search/list_client", data);
